Create Projects
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"sector": "<string>",
"workType": "<string>",
"lifecycleStatus": "<string>",
"specDisciplines": [],
"segments": [],
"tagIds": [
"<string>"
],
"isPrototype": true,
"clientId": "<string>",
"billingClientId": "<string>",
"projectLeadId": "<string>",
"plannedStartDate": "<string>",
"targetEndDate": "<string>",
"description": "<string>",
"coverImageKey": "<string>",
"memberUserIds": [
"<string>"
],
"workspaceCategoryIds": [
"<string>"
]
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects"
payload = {
"name": "<string>",
"code": "<string>",
"sector": "<string>",
"workType": "<string>",
"lifecycleStatus": "<string>",
"specDisciplines": [],
"segments": [],
"tagIds": ["<string>"],
"isPrototype": True,
"clientId": "<string>",
"billingClientId": "<string>",
"projectLeadId": "<string>",
"plannedStartDate": "<string>",
"targetEndDate": "<string>",
"description": "<string>",
"coverImageKey": "<string>",
"memberUserIds": ["<string>"],
"workspaceCategoryIds": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
sector: '<string>',
workType: '<string>',
lifecycleStatus: '<string>',
specDisciplines: [],
segments: [],
tagIds: ['<string>'],
isPrototype: true,
clientId: '<string>',
billingClientId: '<string>',
projectLeadId: '<string>',
plannedStartDate: '<string>',
targetEndDate: '<string>',
description: '<string>',
coverImageKey: '<string>',
memberUserIds: ['<string>'],
workspaceCategoryIds: ['<string>']
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"code": "<string>",
"description": "<string>",
"sector": "<string>",
"workType": "<string>",
"lifecycleStatus": "<string>",
"projectLead": {
"userId": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"plannedStartDate": "<string>",
"targetEndDate": "<string>",
"region": "north_america",
"isPrototype": true,
"sourceProjectId": "<string>",
"client": {
"id": "<string>",
"name": "<string>",
"available": true
},
"billingClient": {
"id": "<string>",
"name": "<string>",
"available": true
},
"coverImageKey": "<string>",
"createdById": "<string>",
"status": "active",
"publicItemPagesEnabled": true,
"memberCount": 123,
"lastViewedAt": "<string>",
"specDisciplines": [
{}
],
"segments": [
{}
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "grey"
}
],
"categories": [
{}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>"
}Projects
Create Projects
POST
/
v1
/
workspaces
/
{workspaceId}
/
projects
Create Projects
Path Parameters
Body
application/json
Maximum string length:
255Maximum string length:
100Available options:
north_america, east_coast, west_coast, europe, middle_east, latin_america, apac Available options:
architectural, finishes, ffe, ose Available options:
architectural, finishes, ffe, ose Maximum array length:
20Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Maximum string length:
2000Maximum string length:
500Response
201 - application/json
Show child attributes
Show child attributes
Available options:
north_america, east_coast, west_coast, europe, middle_east, latin_america, apac Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
active, archived Show child attributes
Show child attributes
⌘I